package com.jiuqi.util.comparator;

package .tmp;

import java.util.Comparator;

public final class IntegerComparator implements Comparator {
  private boolean isDescOrder;
  
  public IntegerComparator() {}
  
  public IntegerComparator(boolean isDescOrder) {
    this.isDescOrder = isDescOrder;
  }
  
  public int compare(Object o1, Object o2) {
    if (o1 == o2)
      return 0; 
    int ret = 0;
    if (o1 == null) {
      ret = -1;
    } else if (o2 == null) {
      ret = 1;
    } else {
      ret = ((Integer)o1).compareTo((Integer)o2);
    } 
    return this.isDescOrder ? -ret : ret;
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (this == null || obj == null)
      return false; 
    if (obj instanceof com.jiuqi.util.comparator.IntegerComparator)
      return (this.isDescOrder == ((com.jiuqi.util.comparator.IntegerComparator)obj).isDescOrder); 
    return false;
  }
  
  public String toString() {
    return "[整数比较器, " + (this.isDescOrder ? "降序]" : "升序]");
  }
  
  public boolean isDescOrder() {
    return this.isDescOrder;
  }
  
  public void setDescOrder(boolean isDescOrder) {
    this.isDescOrder = isDescOrder;
  }
}
